#! /usr/bin/env node
"use strict";

var _chalk;

function _load_chalk() {
    return _chalk = require("chalk");
}

var _promise;

function _load_promise() {
    return _promise = require("electron-builder-util/out/promise");
}

var _yargs;

function _load_yargs() {
    return _yargs = _interopRequireDefault(require("yargs"));
}

var _builder;

function _load_builder() {
    return _builder = require("../builder");
}

var _createSelfSignedCert;

function _load_createSelfSignedCert() {
    return _createSelfSignedCert = require("./create-self-signed-cert");
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(_yargs || _load_yargs()).default.command(["build", "*"], "Build", (_builder || _load_builder()).configureBuildCommand, (_builder || _load_builder()).buildCommandHandler).command("create-self-signed-cert", "Create self-signed code signing cert for Windows apps", yargs => yargs.option("publisher", {
    alias: ["p"],
    type: "string",
    requiresArg: true
}).demandOption("publisher"), argv => {
    (0, (_createSelfSignedCert || _load_createSelfSignedCert()).createSelfSignedCert)(argv.publisher).catch((_promise || _load_promise()).printErrorAndExit);
}).help().epilog(`See the Wiki (${(0, (_chalk || _load_chalk()).underline)("https://github.com/electron-userland/electron-builder/wiki")}) for more documentation.`).strict().argv;
//# sourceMappingURL=cliOptions.js.map